#include "ehs/json/JsonBool.h"

namespace ehs
{
	JsonBool::JsonBool()
			: JsonBase(JsonType::BOOL), value(false)
	{
	}

	JsonBool::JsonBool(const bool value)
			: JsonBase(JsonType::BOOL), value(value)
	{
	}

	JsonBool::operator bool() const
	{
		return value;
	}

	JsonBool::operator bool&()
	{
		return value;
	}

	Str_8 JsonBool::ToStr(const UInt_64 level, const bool compact) const
	{
		Str_8 result;

		if (!compact)
		{
			for (UInt_64 l = 0; l < level; ++l)
				result += "\t";
		}

		result += value ? "true" : "false";

		return result;
	}
}